# sign

abstract fun sign(toSign: InputStream, destination: OutputStream)

Exhausts `toSign`, and writes the signature to `signatureDestination`. The caller is responsible for closing the streams, though the output WILL be flushed.

#### Parameters

toSign

The source of the data to be signed

destination

Where the signature will be written to

abstract fun sign(toSign: InputStream): Array<Byte>

Exhausts `toSign`, and returns the raw signature bytes.

#### Return

The raw bytes of the signature

#### Parameters

toSign

The source of the data to be signed